Index: trunk/test/testcompile.sh
===================================================================
--- trunk/test/testcompile.sh	(revision 207)
+++ trunk/test/testcompile.sh	(revision 210)
@@ -20,6 +20,6 @@
 #
 
-# dnmalloc + flawfinder + (35 * 3)
-MAXTEST=107; export MAXTEST
+# dnmalloc + flawfinder + (36 * 3)
+MAXTEST=110; export MAXTEST
 
 run_dnmalloc ()
@@ -202,4 +202,15 @@
 {
 	fail=0
+	#
+	# Compiler warnings can be OS specific, but at least
+	# on Linux there should be none
+	#
+	isLinux=0
+	uname -a | grep Linux >/dev/null
+	if [ $? -eq 0 ]; then
+	    isLinux=1
+	    sed --in-place 's/-Wall/-Wall -Werror/' Makefile
+	fi
+	#
 	if test x$1 = x0; then
 		[ -z "$verbose" ]     ||  log_msg_ok  "configure...  $TEST";
@@ -219,4 +230,7 @@
 		fail=1
 	fi
+	if [ $isLinux -eq 1 ]; then
+	    sed --in-place 's/-Wall -Werror/-Wall/' Makefile
+	fi
 	if [ $fail -eq 1 ]; then
 	    [ -z "$quiet" ] && log_fail $2 ${MAXTEST} "$TEST";
@@ -335,4 +349,22 @@
 	# test standalone compilation
 	#
+        TEST="${S}standalone w/procchk w/portchk w/static${E}"
+	#
+	if test -r "Makefile"; then
+		$MAKE distclean 
+	fi
+	#
+	${TOP_SRCDIR}/configure --quiet  --prefix=$PW_DIR --localstatedir=$PW_DIR --with-config-file=$PW_DIR/samhainrc.test  --enable-process-check --enable-port-check --enable-static > /dev/null 2>> test_log
+	#
+	let "num = num + 1" >/dev/null
+	testmake $? $num || let "numfail = numfail + 1"  >/dev/null
+	let "num = num + 1" >/dev/null
+	run_smatch $? $num || let "numfail = numfail + 1"  >/dev/null
+	let "num = num + 1" >/dev/null
+	run_uno $? $num || let "numfail = numfail + 1"  >/dev/null
+
+	#
+	# test standalone compilation
+	#
         TEST="${S}standalone w/procchk w/portchk w/stealth${E}"
 	#
